Page MenuHomePhabricator

Improve MW connection access
Closed, DeclinedPublic

Description

Improve the way we access the MediaWiki mysqli or PDO connection.

https://github.com/wmde/mediawiki-doctrine-connection

Event Timeline

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptApr 22 2019, 11:13 PM

@alaa_wmde what is the status of this?

We tried to make the connection handle public, but that got -1ed by million people so don't think that will ever pass.

The second option we can think of, if possible, is to figure out a way to construct our own connection using load balancer directly. This option hasn't been explored at all yet.

Note for later (appears I forgot to add it before):

one possible improvement here that is less evil is to explore using LoadBalancer to create the connection and bypass relying on getting it from a Database object like we did so far

Addshore moved this task from incoming to in progress on the Wikidata board.Jun 21 2019, 11:37 PM
alaa_wmde closed this task as Declined.Jul 31 2019, 10:57 AM
alaa_wmde moved this task from in progress to hold on the Wikidata board.

Not needed